Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 101392)
+++ channels/chan_sip.c	(working copy)
@@ -3499,8 +3499,9 @@
 			if (var) {
 				for (tmp = var; tmp; tmp = tmp->next) {
 					if (!strcasecmp(var->name, "host")) {
-						struct in_addr sin2 = { 0, };
+						struct in_addr sin2;
 						struct ast_dnsmgr_entry *dnsmgr = NULL;
+						memset(&sin2, 0, sizeof(sin2));
 						if ((ast_dnsmgr_lookup(tmp->value, &sin2, &dnsmgr) < 0) || (memcmp(&sin2, &sin->sin_addr, sizeof(sin2)) != 0)) {
 							/* No match */
 							ast_variables_destroy(var);
Index: channels/chan_iax2.c
===================================================================
--- channels/chan_iax2.c	(revision 101392)
+++ channels/chan_iax2.c	(working copy)
@@ -2956,8 +2956,9 @@
 		if (var && sin) {
 			for (tmp = var; tmp; tmp = tmp->next) {
 				if (!strcasecmp(tmp->name, "host")) {
-					struct in_addr sin2 = { 0, };
+					struct in_addr sin2;
 					struct ast_dnsmgr_entry *dnsmgr = NULL;
+					memset(&sin2, 0, sizeof(sin2));
 					if ((ast_dnsmgr_lookup(tmp->value, &sin2, &dnsmgr) < 0) || (memcmp(&sin2, &sin->sin_addr, sizeof(sin2)) != 0)) {
 						/* No match */
 						ast_variables_destroy(var);
@@ -3068,8 +3069,9 @@
 		if (var) {
 			for (tmp = var; tmp; tmp = tmp->next) {
 				if (!strcasecmp(tmp->name, "host")) {
-					struct in_addr sin2 = { 0, };
+					struct in_addr sin2;
 					struct ast_dnsmgr_entry *dnsmgr = NULL;
+					memset(&sin2, 0, sizeof(sin2));
 					if ((ast_dnsmgr_lookup(tmp->value, &sin2, &dnsmgr) < 0) || (memcmp(&sin2, &sin->sin_addr, sizeof(sin2)) != 0)) {
 						/* No match */
 						ast_variables_destroy(var);
Index: main/logger.c
===================================================================
--- main/logger.c	(revision 101392)
+++ main/logger.c	(working copy)
@@ -1082,6 +1082,7 @@
 
 void ast_backtrace(void)
 {
+#ifdef linux
 #ifdef HAVE_BKTR
 	int count=0, i=0;
 	void **addresses;
@@ -1107,6 +1108,9 @@
 #else
 	ast_log(LOG_WARNING, "Must run configure with '--with-execinfo' for stack backtraces.\n");
 #endif
+#else /* ndef linux */
+	ast_log(LOG_WARNING, "Inline stack backtraces are only available on the Linux platform.\n");
+#endif
 }
 
 void ast_verbose(const char *fmt, ...)
